//
//  ViewController.m
//  LabelTitle_Demo
//
//  Created by 余晋龙 on 2016/11/3.
//  Copyright © 2016年 余晋龙. All rights reserved.
//

#import "ViewController.h"
//
#import "ShowLabelTitle.h"

@interface ViewController ()

@end

@implementation ViewController
{
    ShowLabelTitle *label;
    UISlider *glowSlider;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"效果图";
    
    // Do any additional setup after loading the view, typically from a nib.
    
    
    UIColor *colorOne = [UIColor colorWithRed:0.0 green:0.125 blue:0.18 alpha:1.0];
    UIColor *colorTwo = [UIColor colorWithRed:0.0 green:0.00 blue:0.05 alpha:1.0];
    
    //
    CAGradientLayer *gradientLayer = [[CAGradientLayer alloc] init];
    gradientLayer.frame = CGRectMake(0.0, 0.0, 320.0, 480.0);
    [gradientLayer setColors:[NSArray arrayWithObjects:(id)colorOne.CGColor, (id)colorTwo.CGColor, nil]];
    [self.view.layer insertSublayer:gradientLayer atIndex:0];
    
    label = [[ShowLabelTitle alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 300)];
    label.text = @"AAA";
    label.font = [UIFont systemFontOfSize:80];
    label.textAlignment = NSTextAlignmentCenter;
    label.textColor = [UIColor colorWithRed:0.20 green:0.70 blue:1.0 alpha:1.0];
    label.glowColor = label.textColor;
    label.glowOffset = CGSizeMake(0.0, 0.0);
    label.glowAmount = 0;
    [self.view addSubview:label];
    
    
    glowSlider = [[UISlider alloc]initWithFrame:CGRectMake(50, 350, self.view.frame.size.width - 100, 50)];
    glowSlider.minimumValue = 0;
    glowSlider.maximumValue = 50;
    //拉动滑竿  引发事件
    [glowSlider addTarget:self action:@selector(valueChanged:) forControlEvents:UIControlEventValueChanged];
    [self.view addSubview:glowSlider];
    
    
}
-(void)valueChanged:(UISlider *)sender
{
    NSLog(@"%f",sender.value);
    label.glowAmount = sender.value;
    [label setNeedsDisplay];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
