//
//  ShowLabelTitle.m
//  LabelTitle_Demo
//
//  Created by 余晋龙 on 2016/11/3.
//  Copyright © 2016年 余晋龙. All rights reserved.
//

#import "ShowLabelTitle.h"

@implementation ShowLabelTitle
{
    CGColorSpaceRef colorSpaceRef; //
    CGColorRef glowColorRef;  //
}
-(instancetype)initWithFrame:(CGRect)frame
{
    if (self = [super initWithFrame:frame]) {
        //?
        colorSpaceRef = CGColorSpaceCreateDeviceRGB();
        
        self.glowOffset = CGSizeMake(0.0, 0.0);
        self.glowAmount = 0.0;
        self.glowColor = [UIColor clearColor];
        
        
    }
    return self;
}
-(void)setGlowColor:(UIColor *)glowColor
{
    if (glowColor != _glowColor) {
        _glowColor = glowColor;
        //
        CGColorRelease(glowColorRef);
        //
        glowColorRef = CGColorCreate(colorSpaceRef, CGColorGetComponents(glowColor.CGColor));
    }
    
    
}
-(void)drawTextInRect:(CGRect)rect
{
    //
    CGContextRef context = UIGraphicsGetCurrentContext();
    CGContextSaveGState(context);
    //
    CGContextSetShadow(context, self.glowOffset, self.glowAmount);
    //
    CGContextSetShadowWithColor(context, self.glowOffset, self.glowAmount, glowColorRef);
    //
    [super drawTextInRect:rect];
    //
    CGContextRestoreGState(context);
}

@end
